Package org.eclipse.emf.compare.impl

## Class CompareFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.emf.compare.impl.CompareFactoryImpl

All Implemented Interfaces:
  `Notifier`, `CompareFactory`, `EFactory`, `EModelElement`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`, `BinaryResourceImpl.DataConverter.Factory`

    public class CompareFactoryImpl
    extends EFactoryImpl
    implements CompareFactory

An implementation of the model Factory.

Generated:

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

Fields
`static String` `copyright`

### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`EDATE_FORMATS, ePackage`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.compare.CompareFactory

`eINSTANCE`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`CompareFactoryImpl()` Creates an instance of the factory.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`String` `convertConflictKindToString​(EDataType eDataType, Object instanceValue)`
`String` `convertDifferenceKindToString​(EDataType eDataType, Object instanceValue)`
`String` `convertDifferenceSourceToString​(EDataType eDataType, Object instanceValue)`
`String` `convertDifferenceStateToString​(EDataType eDataType, Object instanceValue)`
`String` `convertEIterableToString​(EDataType eDataType, Object instanceValue)`
`String` `convertToString​(EDataType eDataType, Object instanceValue)`
`EObject` `create​(EClass eClass)`
`AttributeChange` `createAttributeChange()`
`Comparison` `createComparison()`
`Conflict` `createConflict()`
`ConflictKind` `createConflictKindFromString​(EDataType eDataType, String initialValue)`
`Diff` `createDiff()`
`DifferenceKind` `createDifferenceKindFromString​(EDataType eDataType, String initialValue)`
`DifferenceSource` `createDifferenceSourceFromString​(EDataType eDataType, String initialValue)`
`DifferenceState` `createDifferenceStateFromString​(EDataType eDataType, String initialValue)`
`Iterable<?>` `createEIterableFromString​(EDataType eDataType, String initialValue)`
`Equivalence` `createEquivalence()`
`FeatureMapChange` `createFeatureMapChange()`
`Object` `createFromString​(EDataType eDataType, String initialValue)`
`Match` `createMatch()`
`MatchResource` `createMatchResource()`
`ReferenceChange` `createReferenceChange()`
`ResourceAttachmentChange` `createResourceAttachmentChange()`
`ResourceLocationChange` `createResourceLocationChange()`
`ComparePackage` `getComparePackage()`
`static ComparePackage` `getPackage()` Deprecated.
`static CompareFactory` `init()` Creates the default factory implementation.

### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

### Constructor Detail

#### CompareFactoryImpl

    public CompareFactoryImpl()

Creates an instance of the factory.

Generated:

### Method Detail

#### init

    public static CompareFactory init()

Creates the default factory implementation.

Generated:

#### create

    public EObject create​(EClass eClass)

Specified by:
  `create` in interface `EFactory`
Overrides:
  `create` in class `EFactoryImpl`
Generated:

#### createFromString

    public Object createFromString​(EDataType eDataType,
                                   String initialValue)

Specified by:
  `createFromString` in interface `EFactory`
Overrides:
  `createFromString` in class `EFactoryImpl`
Generated:

#### convertToString

    public String convertToString​(EDataType eDataType,
                                  Object instanceValue)

Specified by:
  `convertToString` in interface `EFactory`
Overrides:
  `convertToString` in class `EFactoryImpl`
Generated:

#### createComparison

    public Comparison createComparison()

Specified by:
  `createComparison` in interface `CompareFactory`
Returns:
  a new object of class 'Comparison'.
Generated:
  NOT

#### createMatchResource

    public MatchResource createMatchResource()

Specified by:
  `createMatchResource` in interface `CompareFactory`
Returns:
  a new object of class 'Match Resource'.
Generated:

#### createMatch

    public Match createMatch()

Specified by:
  `createMatch` in interface `CompareFactory`
Returns:
  a new object of class 'Match'.
Generated:
  NOT

#### createDiff

    public Diff createDiff()

Specified by:
  `createDiff` in interface `CompareFactory`
Returns:
  a new object of class 'Diff'.
Generated:
  NOT

#### createResourceAttachmentChange

    public ResourceAttachmentChange createResourceAttachmentChange()

Specified by:
  `createResourceAttachmentChange` in interface `CompareFactory`
Returns:
  a new object of class 'Resource Attachment Change'.
Generated:
  NOT

#### createResourceLocationChange

    public ResourceLocationChange createResourceLocationChange()

Specified by:
  `createResourceLocationChange` in interface `CompareFactory`
Returns:
  a new object of class 'Resource Location Change'.
Since:
  3.2
Generated:
  NOT

#### createReferenceChange

    public ReferenceChange createReferenceChange()

Specified by:
  `createReferenceChange` in interface `CompareFactory`
Returns:
  a new object of class 'Reference Change'.
Generated:
  NOT

#### createAttributeChange

    public AttributeChange createAttributeChange()

Specified by:
  `createAttributeChange` in interface `CompareFactory`
Returns:
  a new object of class 'Attribute Change'.
Generated:
  NOT

#### createFeatureMapChange

    public FeatureMapChange createFeatureMapChange()

Specified by:
  `createFeatureMapChange` in interface `CompareFactory`
Returns:
  a new object of class 'Feature Map Change'.
Since:
  3.2
Generated:
  NOT

#### createConflict

    public Conflict createConflict()

Specified by:
  `createConflict` in interface `CompareFactory`
Returns:
  a new object of class 'Conflict'.
Generated:
  NOT

#### createEquivalence

    public Equivalence createEquivalence()

Specified by:
  `createEquivalence` in interface `CompareFactory`
Returns:
  a new object of class 'Equivalence'.
Generated:

#### createDifferenceKindFromString

    public DifferenceKind createDifferenceKindFromString​(EDataType eDataType,
                                                         String initialValue)

Generated:

#### convertDifferenceKindToString

    public String convertDifferenceKindToString​(EDataType eDataType,
                                                Object instanceValue)

Generated:

#### createDifferenceSourceFromString

    public DifferenceSource createDifferenceSourceFromString​(EDataType eDataType,
                                                             String initialValue)

Generated:

#### convertDifferenceSourceToString

    public String convertDifferenceSourceToString​(EDataType eDataType,
                                                  Object instanceValue)

Generated:

#### createDifferenceStateFromString

    public DifferenceState createDifferenceStateFromString​(EDataType eDataType,
                                                           String initialValue)

Generated:

#### convertDifferenceStateToString

    public String convertDifferenceStateToString​(EDataType eDataType,
                                                 Object instanceValue)

Generated:

#### createConflictKindFromString

    public ConflictKind createConflictKindFromString​(EDataType eDataType,
                                                     String initialValue)

Generated:

#### convertConflictKindToString

    public String convertConflictKindToString​(EDataType eDataType,
                                              Object instanceValue)

Generated:

#### createEIterableFromString

    public Iterable<?> createEIterableFromString​(EDataType eDataType,
                                                 String initialValue)

Generated:

#### convertEIterableToString

    public String convertEIterableToString​(EDataType eDataType,
                                           Object instanceValue)

Generated:

#### getComparePackage

    public ComparePackage getComparePackage()

Specified by:
  `getComparePackage` in interface `CompareFactory`
Returns:
  the package supported by this factory.
Generated:

#### getPackage

    @Deprecated
    public static ComparePackage getPackage()

Deprecated.

Generated: